Arbor 3: FSM & BT Graph Editor 3.7.4

Public Member Functions | Static Public Member Functions | Properties | Events | List of all members
ParameterContainerInternal Class Reference

ParameterContainer. More...

Inheritance diagram for ParameterContainerInternal:

## Public Member Functions
Parameter | GetParameterFromIndex (int index)
| Get Parameter from index. More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| Add a parameter. More...
Parameter | GetParam (string name)
| Get the parameters from the name. More...
int | GetParamID (string name)
| Get the parameters ID from the name. More...
Parameter | GetParam (int id)
| Get the parameters from the ID. More...
void | DeleteParam (Parameter parameter)
| Delete a parameter. More...
void | DeleteParam (string name)
| Delete the parameters by name. More...
void | DeleteParam (int id)
| Delete the parameters by ID. More...
string | MakeUniqueName (string name)
| It generates a name that does not overlap. More...
bool | IsParameterType (string name, Parameter.Type type)
| Determine the type of parameter. More...
bool | IsParameterType (int id, Parameter.Type type)
| Determine the type of parameter. More...
Parameter | FindParameterContainsVariable (InternalVariableBase variable)
| Acquisition of parameters VariableBase belongs. More...
void | DestroySubComponents ()
| Method to be used internally. More...
bool | SetAssetObject (string name, Object value)
| It wants to set the value of the AssetObject type. More...
bool | SetAssetObject (int id, Object value)
| It wants to set the value of the AssetObject type. More...
bool | TryGetAssetObject (string name, out Object value)
| Get the value of the AssetObject type. More...
bool | TryGetAssetObject (int id, out Object value)
| Get the value of the AssetObject type. More...
Object | GetAssetObject (string name, Object defaultValue=null)
| Get the value of the AssetObject type. More...
Object | GetAssetObject (int id, Object defaultValue=null)
| Get the value of the AssetObject type. More...
bool | SetAssetObject< TAssetObject > (string name, TAssetObject value)
| It wants to set the value of the AssetObject type. More...
bool | SetAssetObject< TAssetObject > (int id, TAssetObject value)
| It wants to set the value of the AssetObject type. More...
bool | TryGetAssetObject< TAssetObject > (string name, out TAssetObject value)
| Get the value of the AssetObject type. More...
bool | TryGetAssetObject< TAssetObject > (int id, out TAssetObject value)
| Get the value of the AssetObject type. More...
TAssetObject | GetAssetObject< TAssetObject > (string name, TAssetObject defaultValue=null)
| Get the value of the AssetObject type. More...
TAssetObject | GetAssetObject< TAssetObject > (int id, TAssetObject defaultValue=null)
| Get the value of the AssetObject type. More...
bool | SetAssetObjectList< TAssetObject > (string name, IList< TAssetObject > value)
| It wants to set the value of the AssetObjectList type. More...
bool | SetAssetObjectList< TAssetObject > (int id, IList< TAssetObject > value)
| It wants to set the value of the AssetObjectList type. More...
bool | TryGetAssetObjectList< TAssetObject > (string name, out IList< TAssetObject > value)
| Get the value of the AssetObjectList type. More...
bool | TryGetAssetObjectList< TAssetObject > (int id, out IList< TAssetObject > value)
| Get the value of the AssetObject type. More...
IList< TAssetObject > | GetAssetObjectList< TAssetObject > (int id)
| Get the value of the AssetObjectList type. More...
IList< TAssetObject > | GetAssetObjectList< TAssetObject > (string name)
| Get the value of the AssetObjectList type. More...
bool | SetBool (string name, bool value)
| It wants to set the value of the Bool type. More...
bool | SetBool (int id, bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | TryGetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (string name, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (int id, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | SetBoolList (string name, IList< bool > value)
| It wants to set the value of the BoolList type. More...
bool | SetBoolList (int id, IList< bool > value)
| It wants to set the value of the BoolList type. More...
bool | TryGetBoolList (string name, out IList< bool > value)
| Get the value of the BoolList type. More...
bool | TryGetBoolList (int id, out IList< bool > value)
| Get the value of the BoolList type. More...
IList< bool > | GetBoolList (int id)
| Get the value of the BoolList type. More...
IList< bool > | GetBoolList (string name)
| Get the value of the BoolList type. More...
bool | SetBounds (string name, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | SetBounds (int id, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | TryGetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id)
| Get the value of the Bounds type. More...
bool | GetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | GetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
bool | SetBoundsList (string name, IList< Bounds > value)
| It wants to set the value of the BoundsList type. More...
bool | SetBoundsList (int id, IList< Bounds > value)
| It wants to set the value of the BoundsList type. More...
bool | TryGetBoundsList (string name, out IList< Bounds > value)
| Get the value of the BoundsList type. More...
bool | TryGetBoundsList (int id, out IList< Bounds > value)
| Get the value of the BoundsList type. More...
IList< Bounds > | GetBoundsList (int id)
| Get the value of the BoundsList type. More...
IList< Bounds > | GetBoundsList (string name)
| Get the value of the BoundsList type. More...
bool | SetColor (string name, Color value)
| It wants to set the value of the Color type. More...
bool | SetColor (int id, Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | TryGetColor (int id, out Color value)
| Get the value of the Color type. More...
Color | GetColor (string name, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (string name)
| Get the value of the Color type. More...
Color | GetColor (int id, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (int id)
| Get the value of the Color type. More...
bool | GetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | GetColor (int id, out Color value)
| Get the value of the Color type. More...
bool | SetColorList (string name, IList< Color > value)
| It wants to set the value of the ColorList type. More...
bool | SetColorList (int id, IList< Color > value)
| It wants to set the value of the ColorList type. More...
bool | TryGetColorList (string name, out IList< Color > value)
| Get the value of the ColorList type. More...
bool | TryGetColorList (int id, out IList< Color > value)
| Get the value of the ColorList type. More...
IList< Color > | GetColorList (int id)
| Get the value of the ColorList type. More...
IList< Color > | GetColorList (string name)
| Get the value of the ColorList type. More...
bool | SetComponent (string name, Component value)
| It wants to set the value of the Component type. More...
bool | SetComponent (int id, Component value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent (string name, out Component value)
| Get the value of the Component type. More...
bool | TryGetComponent (int id, out Component value)
| Get the value of the Component type. More...
Component | GetComponent (string name, Component defaultValue=null)
| Get the value of the Component type. More...
Component | GetComponent (int id, Component defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponent< TComponent > (string name, TComponent value)
| It wants to set the value of the Component type. More...
bool | SetComponent< TComponent > (int id, TComponent value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent< TComponent > (string name, out TComponent value)
| Get the value of the Component type. More...
bool | TryGetComponent< TComponent > (int id, out TComponent value)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (string name, TComponent defaultValue=null)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (int id, TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponentList< TComponent > (string name, IList< TComponent > value)
| It wants to set the value of the ComponentList type. More...
bool | SetComponentList< TComponent > (int id, IList< TComponent > value)
| It wants to set the value of the ComponentList type. More...
bool | TryGetComponentList< TComponent > (string name, out IList< TComponent > value)
| Get the value of the ComponentList type. More...
bool | TryGetComponentList< TComponent > (int id, out IList< TComponent > value)
| Get the value of the Component type. More...
IList< TComponent > | GetComponentList< TComponent > (int id)
| Get the value of the ComponentList type. More...
IList< TComponent > | GetComponentList< TComponent > (string name)
| Get the value of the ComponentList type. More...
bool | IsEnum (int id)
| It wants to set the value of the Enum type. More...
bool | IsEnum (string name)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (string name, int value)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (int id, int value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnumInt (string name, out int value)
| Get the value of the Enum type. More...
bool | TryGetEnumInt (int id, out int value)
| Get the value of the Enum type. More...
int | GetEnumInt (string name, int defaultValue=default(int))
| Get the value of the Enum type. More...
int | GetEnumInt (int id, int defaultValue=default(int))
| Get the value of the Enum type. More...
bool | SetEnum (string name, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum (int id, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum (string name, out System.Enum value)
| Get the value of the Enum type. More...
bool | TryGetEnum (int id, out System.Enum value)
| Get the value of the Enum type. More...
System.Enum | GetEnum (string name, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
System.Enum | GetEnum (int id, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
bool | SetEnum< TEnum > (string name, TEnum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum< TEnum > (int id, TEnum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum< TEnum > (string name, out TEnum value)
| Get the value of the Enum type. More...
bool | TryGetEnum< TEnum > (int id, out TEnum value)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id)
| Get the value of the Enum type. More...
bool | SetEnumList< TEnum > (string name, IList< TEnum > value)
| It wants to set the value of the EnumList type. More...
bool | SetEnumList< TEnum > (int id, IList< TEnum > value)
| It wants to set the value of the EnumList type. More...
bool | TryGetEnumList< TEnum > (string name, out IList< TEnum > value)
| Get the value of the EnumList type. More...
bool | TryGetEnumList< TEnum > (int id, out IList< TEnum > value)
| Get the value of the Enum type. More...
IList< TEnum > | GetEnumList< TEnum > (int id)
| Get the value of the EnumList type. More...
IList< TEnum > | GetEnumList< TEnum > (string name)
| Get the value of the EnumList type. More...
bool | SetFloat (string name, float value)
| It wants to set the value of the Float type. More...
bool | SetFloat (int id, float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | TryGetFloat (int id, out float value)
| Get the value of the Float type. More...
float | GetFloat (string name, float defaultValue=0.0f)
| Get the value of the Float type. More...
float | GetFloat (int id, float defaultValue=0.0f)
| Get the value of the Float type. More...
bool | GetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | GetFloat (int id, out float value)
| Get the value of the Float type. More...
bool | SetFloatList (string name, IList< float > value)
| It wants to set the value of the FloatList type. More...
bool | SetFloatList (int id, IList< float > value)
| It wants to set the value of the FloatList type. More...
bool | TryGetFloatList (string name, out IList< float > value)
| Get the value of the FloatList type. More...
bool | TryGetFloatList (int id, out IList< float > value)
| Get the value of the FloatList type. More...
IList< float > | GetFloatList (int id)
| Get the value of the FloatList type. More...
IList< float > | GetFloatList (string name)
| Get the value of the FloatList type. More...
bool | SetGameObject (string name, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | SetGameObject (int id, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | TryGetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | GetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | GetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
bool | SetGameObjectList (string name, IList< GameObject > value)
| It wants to set the value of the GameObjectList type. More...
bool | SetGameObjectList (int id, IList< GameObject > value)
| It wants to set the value of the GameObjectList type. More...
bool | TryGetGameObjectList (string name, out IList< GameObject > value)
| Get the value of the GameObjectList type. More...
bool | TryGetGameObjectList (int id, out IList< GameObject > value)
| Get the value of the GameObjectList type. More...
IList< GameObject > | GetGameObjectList (int id)
| Get the value of the GameObjectList type. More...
IList< GameObject > | GetGameObjectList (string name)
| Get the value of the GameObjectList type. More...
bool | SetInt (string name, int value)
| It wants to set the value of the Int type. More...
bool | SetInt (int id, int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (string name, out int value)
| Get the value of the Int type. More...
bool | TryGetInt (int id, out int value)
| Get the value of the Int type. More...
int | GetInt (int id, int defaultValue=0)
| Get the value of the Int type. More...
int | GetInt (string name, int defaultValue=0)
| Get the value of the Int type. More...
bool | GetInt (string name, out int value)
| Get the value of the Int type. More...
bool | GetInt (int id, out int value)
| Get the value of the Int type. More...
bool | SetIntList (string name, IList< int > value)
| It wants to set the value of the IntList type. More...
bool | SetIntList (int id, IList< int > value)
| It wants to set the value of the IntList type. More...
bool | TryGetIntList (string name, out IList< int > value)
| Get the value of the IntList type. More...
bool | TryGetIntList (int id, out IList< int > value)
| Get the value of the IntList type. More...
IList< int > | GetIntList (int id)
| Get the value of the IntList type. More...
IList< int > | GetIntList (string name)
| Get the value of the IntList type. More...
bool | SetLong (string name, long value)
| It wants to set the value of the Long type. More...
bool | SetLong (int id, long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (string name, out long value)
| Get the value of the Long type. More...
bool | TryGetLong (int id, out long value)
| Get the value of the Long type. More...
long | GetLong (string name, long defaultValue=0L)
| Get the value of the Long type. More...
long | GetLong (int id, long defaultValue=0L)
| Get the value of the Long type. More...
bool | GetLong (string name, out long value)
| Get the value of the Long type. More...
bool | GetLong (int id, out long value)
| Get the value of the Long type. More...
bool | SetLongList (string name, IList< long > value)
| It wants to set the value of the LongList type. More...
bool | SetLongList (int id, IList< long > value)
| It wants to set the value of the LongList type. More...
bool | TryGetLongList (string name, out IList< long > value)
| Get the value of the LongList type. More...
bool | TryGetLongList (int id, out IList< long > value)
| Get the value of the LongList type. More...
IList< long > | GetLongList (int id)
| Get the value of the LongList type. More...
IList< long > | GetLongList (string name)
| Get the value of the LongList type. More...
bool | SetQuaternion (string name, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | SetQuaternion (int id, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | SetQuaternionList (string name, IList< Quaternion > value)
| It wants to set the value of the QuaternionList type. More...
bool | SetQuaternionList (int id, IList< Quaternion > value)
| It wants to set the value of the QuaternionList type. More...
bool | TryGetQuaternionList (string name, out IList< Quaternion > value)
| Get the value of the QuaternionList type. More...
bool | TryGetQuaternionList (int id, out IList< Quaternion > value)
| Get the value of the QuaternionList type. More...
IList< Quaternion > | GetQuaternionList (int id)
| Get the value of the QuaternionList type. More...
IList< Quaternion > | GetQuaternionList (string name)
| Get the value of the QuaternionList type. More...
bool | SetRect (string name, Rect value)
| It wants to set the value of the Rect type. More...
bool | SetRect (int id, Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | TryGetRect (int id, out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (string name, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (string name)
| Get the value of the Rect type. More...
Rect | GetRect (int id, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (int id)
| Get the value of the Rect type. More...
bool | GetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | GetRect (int id, out Rect value)
| Get the value of the Rect type. More...
bool | SetRectList (string name, IList< Rect > value)
| It wants to set the value of the RectList type. More...
bool | SetRectList (int id, IList< Rect > value)
| It wants to set the value of the RectList type. More...
bool | TryGetRectList (string name, out IList< Rect > value)
| Get the value of the RectList type. More...
bool | TryGetRectList (int id, out IList< Rect > value)
| Get the value of the RectList type. More...
IList< Rect > | GetRectList (int id)
| Get the value of the RectList type. More...
IList< Rect > | GetRectList (string name)
| Get the value of the RectList type. More...
bool | SetRectTransform (string name, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | SetRectTransform (int id, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | TryGetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (string name, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | SetRigidbody (int id, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | SetString (string name, string value)
| It wants to set the value of the String type. More...
bool | SetString (int id, string value)
| It wants to set the value of the String type. More...
bool | TryGetString (string name, out string value)
| Get the value of the String type. More...
bool | TryGetString (int id, out string value)
| Get the value of the String type. More...
string | GetString (string name, string defaultValue="")
| Get the value of the String type. More...
string | GetString (int id, string defaultValue="")
| Get the value of the String type. More...
bool | GetString (string name, out string value)
| Get the value of the String type. More...
bool | GetString (int id, out string value)
| Get the value of the String type. More...
bool | SetStringList (string name, IList< string > value)
| It wants to set the value of the StringList type. More...
bool | SetStringList (int id, IList< string > value)
| It wants to set the value of the StringList type. More...
bool | TryGetStringList (string name, out IList< string > value)
| Get the value of the StringList type. More...
bool | TryGetStringList (int id, out IList< string > value)
| Get the value of the StringList type. More...
IList< string > | GetStringList (int id)
| Get the value of the StringList type. More...
IList< string > | GetStringList (string name)
| Get the value of the StringList type. More...
bool | SetTransform (string name, Transform value)
| It wants to set the value of the Transform type. More...
bool | SetTransform (int id, Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | TryGetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Get the value of the Transform type. More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | GetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | GetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
bool | SetVariable (string name, object value)
| It wants to set the value of Variable. More...
bool | SetVariable (int id, object value)
| It wants to set the value of Variable. More...
bool | TryGetVariable (string name, out object value)
| Get the value of Variable. More...
bool | TryGetVariable (int id, out object value)
| Get the value of Variable. More...
object | GetVariable (string name, object defaultValue=null)
| Get the value of Variable. More...
object | GetVariable (int id, object defaultValue=null)
| Get the value of Variable. More...
bool | SetVariable< TVariable > (string name, TVariable value)
| It wants to set the value of Variable. More...
bool | SetVariable< TVariable > (int id, TVariable value)
| It wants to set the value of Variable. More...
bool | TryGetVariable< TVariable > (string name, out TVariable value)
| Get the value of Variable. More...
bool | TryGetVariable< TVariable > (int id, out TVariable value)
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (string name, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (int id, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
bool | SetVariableList (string name, object value)
| It wants to set the value of VariableList. More...
bool | SetVariableList (int id, object value)
| It wants to set the value of VariableList. More...
bool | TryGetVariableList (string name, out object value)
| Get the value of VariableList. More...
bool | TryGetVariableList (int id, out object value)
| Get the value of VariableList. More...
object | GetVariableList (string name, object defaultValue=null)
| Get the value of VariableList. More...
object | GetVariableList (int id, object defaultValue=null)
| Get the value of VariableList. More...
bool | SetVariableList< TVariable > (string name, IList< TVariable > value)
| It wants to set the value of Variable. More...
bool | SetVariableList< TVariable > (int id, IList< TVariable > value)
| It wants to set the value of VariableList. More...
bool | TryGetVariableList< TVariable > (string name, out IList< TVariable > value)
| Get the value of VariableList. More...
bool | TryGetVariableList< TVariable > (int id, out IList< TVariable > value)
| Get the value of VariableList. More...
IList< TVariable > | GetVariableList< TVariable > (string name)
| Get the value of VariableList. More...
IList< TVariable > | GetVariableList< TVariable > (int id)
| Get the value of VariableList. More...
bool | SetVector2 (string name, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | SetVector2 (int id, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | TryGetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id)
| Get the value of the Vector2 type. More...
bool | GetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | GetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | SetVector2List (string name, IList< Vector2 > value)
| It wants to set the value of the Vector2List type. More...
bool | SetVector2List (int id, IList< Vector2 > value)
| It wants to set the value of the Vector2List type. More...
bool | TryGetVector2List (string name, out IList< Vector2 > value)
| Get the value of the Vector2List type. More...
bool | TryGetVector2List (int id, out IList< Vector2 > value)
| Get the value of the Vector2List type. More...
IList< Vector2 > | GetVector2List (int id)
| Get the value of the Vector2List type. More...
IList< Vector2 > | GetVector2List (string name)
| Get the value of the Vector2List type. More...
bool | SetVector3 (string name, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | SetVector3 (int id, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | TryGetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id)
| Get the value of the Vector3 type. More...
bool | GetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | GetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | SetVector3List (string name, IList< Vector3 > value)
| It wants to set the value of the Vector3List type. More...
bool | SetVector3List (int id, IList< Vector3 > value)
| It wants to set the value of the Vector3List type. More...
bool | TryGetVector3List (string name, out IList< Vector3 > value)
| Get the value of the Vector3List type. More...
bool | TryGetVector3List (int id, out IList< Vector3 > value)
| Get the value of the Vector3List type. More...
IList< Vector3 > | GetVector3List (int id)
| Get the value of the Vector3List type. More...
IList< Vector3 > | GetVector3List (string name)
| Get the value of the Vector3List type. More...

## Static Public Member Functions
static ParameterContainerInternal | Create (GameObject gameObject, System.Type type)
| Create ParameterContainer. More...
static ParameterContainerInternal | Create (GameObject gameObject, System.Type type, Object owner)
| Create ParameterContainer. More...
static void | Destroy (ParameterContainerInternal parameterContainer)
| Destroy ParameterContainerInternal More...

## Properties
Object | owner`[get, set]`
| Object own this ParameterContainer More...
Parameter[] | parameters`[get]`
| Get an array of parameters. More...
int | parameterCount`[get]`
| Get a count of Parameter. More...
bool | isDeserialized`[get]`
| Returns whether or not deserialization has been done. More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| It returns the ParameterContainer entity. More...
ParameterContainerInternal | defaultContainer`[get]`
| It returns the original ParameterContainer. More...

## Events
System.Action | onAfterDeserialize
| Callback after deserialization More...

## Detailed Description

ParameterContainer.

Is used by attaching to GameObject.

## Member Function Documentation

## ◆ AddParam()

Parameter AddParam | ( | string | name,
|  | Parameter.Type | type
| ) |  |

Add a parameter.

Parameters

  name | Name. It is changed to a unique name if the name had been duplicated.
  type | Type.

Returns
  It added parameters.

## ◆ Create() [1/2]

static ParameterContainerInternal Create | ( | GameObject | gameObject,
|  | System.Type | type
| ) |  |
| static

Create ParameterContainer.

Parameters

  gameObject | The GameObject to add to
  type | ParameterContainer type

Returns
  The created ParamreterContainer

## ◆ Create() [2/2]

static ParameterContainerInternal Create | ( | GameObject | gameObject,
|  | System.Type | type,
|  | Object | owner
| ) |  |
| static

Create ParameterContainer.

Parameters

  gameObject | The GameObject to add to
  type | ParameterContainer type
  owner | Owner

Returns
  The created ParamreterContainer

## ◆ DeleteParam() [1/3]

void DeleteParam | ( | int | id | ) |

Delete the parameters by ID.

Parameters

  id | ID.

## ◆ DeleteParam() [2/3]

void DeleteParam | ( | Parameter | parameter | ) |

Delete a parameter.

Parameters

  parameter | Parameter.

## ◆ DeleteParam() [3/3]

void DeleteParam | ( | string | name | ) |

Delete the parameters by name.

Parameters

  name | Name.

## ◆ Destroy()

static void Destroy | ( | ParameterContainerInternal | parameterContainer | ) |
| static

Destroy ParameterContainerInternal

Parameters

  parameterContainer | ParameterContainerInternal

## ◆ DestroySubComponents()

void DestroySubComponents | ( |  | ) |

Method to be used internally.

In particular there is no need to call.

## ◆ FindParameterContainsVariable()

Parameter FindParameterContainsVariable | ( | InternalVariableBase | variable | ) |

Acquisition of parameters VariableBase belongs.

Parameters

  variable | VariableBase

Returns
  Parameters VariableBase belongs. Return null if not.

## ◆ GetAssetObject() [1/2]

Object GetAssetObject | ( | int | id,
|  | Object | defaultValue = `null`
| ) |  |

Get the value of the AssetObject type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetAssetObject() [2/2]

Object GetAssetObject | ( | string | name,
|  | Object | defaultValue = `null`
| ) |  |

Get the value of the AssetObject type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetAssetObject< TAssetObject >() [1/2]

TAssetObject GetAssetObject< TAssetObject > | ( | int | id,
|  | TAssetObject | defaultValue = `null`
| ) |  |

Get the value of the AssetObject type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetAssetObject< TAssetObject >() [2/2]

TAssetObject GetAssetObject< TAssetObject > | ( | string | name,
|  | TAssetObject | defaultValue = `null`
| ) |  |

Get the value of the AssetObject type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetAssetObjectList< TAssetObject >() [1/2]

IList<TAssetObject> GetAssetObjectList< TAssetObject > | ( | int | id | ) |

Get the value of the AssetObjectList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetAssetObjectList< TAssetObject >() [2/2]

IList<TAssetObject> GetAssetObjectList< TAssetObject > | ( | string | name | ) |

Get the value of the AssetObjectList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetBool() [1/4]

bool GetBool | ( | int | id,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBool() [2/4]

bool GetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetBool() [3/4]

bool GetBool | ( | string | name,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBool() [4/4]

bool GetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetBoolList() [1/2]

IList<bool> GetBoolList | ( | int | id | ) |

Get the value of the BoolList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetBoolList() [2/2]

IList<bool> GetBoolList | ( | string | name | ) |

Get the value of the BoolList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetBounds() [1/6]

Bounds GetBounds | ( | int | id | ) |

Get the value of the Bounds type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetBounds() [2/6]

Bounds GetBounds | ( | int | id,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [3/6]

bool GetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetBounds() [4/6]

Bounds GetBounds | ( | string | name | ) |

Get the value of the Bounds type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetBounds() [5/6]

Bounds GetBounds | ( | string | name,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [6/6]

bool GetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetBoundsList() [1/2]

IList<Bounds> GetBoundsList | ( | int | id | ) |

Get the value of the BoundsList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetBoundsList() [2/2]

IList<Bounds> GetBoundsList | ( | string | name | ) |

Get the value of the BoundsList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetColor() [1/6]

Color GetColor | ( | int | id | ) |

Get the value of the Color type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetColor() [2/6]

Color GetColor | ( | int | id,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColor() [3/6]

bool GetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetColor() [4/6]

Color GetColor | ( | string | name | ) |

Get the value of the Color type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetColor() [5/6]

Color GetColor | ( | string | name,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColor() [6/6]

bool GetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetColorList() [1/2]

IList<Color> GetColorList | ( | int | id | ) |

Get the value of the ColorList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetColorList() [2/2]

IList<Color> GetColorList | ( | string | name | ) |

Get the value of the ColorList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetComponent() [1/2]

Component GetComponent | ( | int | id,
|  | Component | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetComponent() [2/2]

Component GetComponent | ( | string | name,
|  | Component | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetComponent< TComponent >() [1/2]

TComponent GetComponent< TComponent > | ( | int | id,
|  | TComponent | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponent< TComponent >() [2/2]

TComponent GetComponent< TComponent > | ( | string | name,
|  | TComponent | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponentList< TComponent >() [1/2]

IList<TComponent> GetComponentList< TComponent > | ( | int | id | ) |

Get the value of the ComponentList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponentList< TComponent >() [2/2]

IList<TComponent> GetComponentList< TComponent > | ( | string | name | ) |

Get the value of the ComponentList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum() [1/2]

System.Enum GetEnum | ( | int | id,
|  | System.Enum | defaultValue = `null`
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum() [2/2]

System.Enum GetEnum | ( | string | name,
|  | System.Enum | defaultValue = `null`
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum< TEnum >() [1/4]

TEnum GetEnum< TEnum > | ( | int | id | ) |

Get the value of the Enum type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/4]

TEnum GetEnum< TEnum > | ( | int | id,
|  | TEnum | defaultValue
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [3/4]

TEnum GetEnum< TEnum > | ( | string | name | ) |

Get the value of the Enum type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [4/4]

TEnum GetEnum< TEnum > | ( | string | name,
|  | TEnum | defaultValue
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumInt() [1/2]

int GetEnumInt | ( | int | id,
|  | int | defaultValue = `default(int)`
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnumInt() [2/2]

int GetEnumInt | ( | string | name,
|  | int | defaultValue = `default(int)`
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnumList< TEnum >() [1/2]

IList<TEnum> GetEnumList< TEnum > | ( | int | id | ) |

Get the value of the EnumList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumList< TEnum >() [2/2]

IList<TEnum> GetEnumList< TEnum > | ( | string | name | ) |

Get the value of the EnumList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TEnum | : | struct |

## ◆ GetFloat() [1/4]

float GetFloat | ( | int | id,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat() [2/4]

bool GetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetFloat() [3/4]

float GetFloat | ( | string | name,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat() [4/4]

bool GetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetFloatList() [1/2]

IList<float> GetFloatList | ( | int | id | ) |

Get the value of the FloatList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetFloatList() [2/2]

IList<float> GetFloatList | ( | string | name | ) |

Get the value of the FloatList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetGameObject() [1/4]

GameObject GetGameObject | ( | int | id,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObject() [2/4]

bool GetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetGameObject() [3/4]

GameObject GetGameObject | ( | string | name,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObject() [4/4]

bool GetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetGameObjectList() [1/2]

IList<GameObject> GetGameObjectList | ( | int | id | ) |

Get the value of the GameObjectList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetGameObjectList() [2/2]

IList<GameObject> GetGameObjectList | ( | string | name | ) |

Get the value of the GameObjectList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetInt() [1/4]

int GetInt | ( | int | id,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetInt() [2/4]

bool GetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetInt() [3/4]

int GetInt | ( | string | name,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetInt() [4/4]

bool GetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetIntList() [1/2]

IList<int> GetIntList | ( | int | id | ) |

Get the value of the IntList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetIntList() [2/2]

IList<int> GetIntList | ( | string | name | ) |

Get the value of the IntList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetLong() [1/4]

long GetLong | ( | int | id,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLong() [2/4]

bool GetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetLong() [3/4]

long GetLong | ( | string | name,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLong() [4/4]

bool GetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetLongList() [1/2]

IList<long> GetLongList | ( | int | id | ) |

Get the value of the LongList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetLongList() [2/2]

IList<long> GetLongList | ( | string | name | ) |

Get the value of the LongList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetParam() [1/2]

Parameter GetParam | ( | int | id | ) |

Get the parameters from the ID.

Parameters

  id | ID.

Returns
  Parameters. Return null if you did not exist.

## ◆ GetParam() [2/2]

Parameter GetParam | ( | string | name | ) |

Get the parameters from the name.

Parameters

  name | Name.

Returns
  Parameters. Return null if you did not exist.

## ◆ GetParameterFromIndex()

Parameter GetParameterFromIndex | ( | int | index | ) |

Get Parameter from index.

Parameters

  index | Index

Returns
  Parameter

## ◆ GetParamID()

int GetParamID | ( | string | name | ) |

Get the parameters ID from the name.

Parameters

  name | Name.

Returns
  Parameters ID. Return 0 if you did not exist.

## ◆ GetQuaternion() [1/6]

Quaternion GetQuaternion | ( | int | id | ) |

Get the value of the Quaternion type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetQuaternion() [2/6]

bool GetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetQuaternion() [3/6]

Quaternion GetQuaternion | ( | int | id,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternion() [4/6]

Quaternion GetQuaternion | ( | string | name | ) |

Get the value of the Quaternion type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetQuaternion() [5/6]

bool GetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetQuaternion() [6/6]

Quaternion GetQuaternion | ( | string | name,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternionList() [1/2]

IList<Quaternion> GetQuaternionList | ( | int | id | ) |

Get the value of the QuaternionList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetQuaternionList() [2/2]

IList<Quaternion> GetQuaternionList | ( | string | name | ) |

Get the value of the QuaternionList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetRect() [1/6]

Rect GetRect | ( | int | id | ) |

Get the value of the Rect type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRect() [2/6]

bool GetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRect() [3/6]

Rect GetRect | ( | int | id,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRect() [4/6]

Rect GetRect | ( | string | name | ) |

Get the value of the Rect type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRect() [5/6]

bool GetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRect() [6/6]

Rect GetRect | ( | string | name,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRectList() [1/2]

IList<Rect> GetRectList | ( | int | id | ) |

Get the value of the RectList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetRectList() [2/2]

IList<Rect> GetRectList | ( | string | name | ) |

Get the value of the RectList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetRectTransform() [1/4]

bool GetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRectTransform() [2/4]

RectTransform GetRectTransform | ( | int | id,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRectTransform() [3/4]

bool GetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRectTransform() [4/4]

RectTransform GetRectTransform | ( | string | name,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody() [1/4]

bool GetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody() [2/4]

Rigidbody GetRigidbody | ( | int | id,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody() [3/4]

bool GetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody() [4/4]

Rigidbody GetRigidbody | ( | string | name,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody2D() [1/4]

bool GetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [2/4]

Rigidbody2D GetRigidbody2D | ( | int | id,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [3/4]

bool GetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [4/4]

Rigidbody2D GetRigidbody2D | ( | string | name,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetString() [1/4]

bool GetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetString() [2/4]

string GetString | ( | int | id,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetString() [3/4]

bool GetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetString() [4/4]

string GetString | ( | string | name,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetStringList() [1/2]

IList<string> GetStringList | ( | int | id | ) |

Get the value of the StringList type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetStringList() [2/2]

IList<string> GetStringList | ( | string | name | ) |

Get the value of the StringList type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetTransform() [1/4]

bool GetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetTransform() [2/4]

Transform GetTransform | ( | int | id,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetTransform() [3/4]

bool GetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetTransform() [4/4]

Transform GetTransform | ( | string | name,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable() [1/2]

object GetVariable | ( | int | id,
|  | object | defaultValue = `null`
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable() [2/2]

object GetVariable | ( | string | name,
|  | object | defaultValue = `null`
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable< TVariable >() [1/2]

TVariable GetVariable< TVariable > | ( | int | id,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable< TVariable >() [2/2]

TVariable GetVariable< TVariable > | ( | string | name,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariableList() [1/2]

object GetVariableList | ( | int | id,
|  | object | defaultValue = `null`
| ) |  |

Get the value of VariableList.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariableList() [2/2]

object GetVariableList | ( | string | name,
|  | object | defaultValue = `null`
| ) |  |

Get the value of VariableList.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariableList< TVariable >() [1/2]

IList<TVariable> GetVariableList< TVariable > | ( | int | id | ) |

Get the value of VariableList.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVariableList< TVariable >() [2/2]

IList<TVariable> GetVariableList< TVariable > | ( | string | name | ) |

Get the value of VariableList.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVector2() [1/6]

Vector2 GetVector2 | ( | int | id | ) |

Get the value of the Vector2 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector2() [2/6]

bool GetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector2() [3/6]

Vector2 GetVector2 | ( | int | id,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2() [4/6]

Vector2 GetVector2 | ( | string | name | ) |

Get the value of the Vector2 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector2() [5/6]

bool GetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector2() [6/6]

Vector2 GetVector2 | ( | string | name,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2List() [1/2]

IList<Vector2> GetVector2List | ( | int | id | ) |

Get the value of the Vector2List type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVector2List() [2/2]

IList<Vector2> GetVector2List | ( | string | name | ) |

Get the value of the Vector2List type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVector3() [1/6]

Vector3 GetVector3 | ( | int | id | ) |

Get the value of the Vector3 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ GetVector3() [2/6]

bool GetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector3() [3/6]

Vector3 GetVector3 | ( | int | id,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3() [4/6]

Vector3 GetVector3 | ( | string | name | ) |

Get the value of the Vector3 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ GetVector3() [5/6]

bool GetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector3() [6/6]

Vector3 GetVector3 | ( | string | name,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3List() [1/2]

IList<Vector3> GetVector3List | ( | int | id | ) |

Get the value of the Vector3List type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVector3List() [2/2]

IList<Vector3> GetVector3List | ( | string | name | ) |

Get the value of the Vector3List type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ IsEnum() [1/2]

bool IsEnum | ( | int | id | ) |

It wants to set the value of the Enum type.

Parameters

  id | ID.

Returns
  Returns true if it is an Enum type.

## ◆ IsEnum() [2/2]

bool IsEnum | ( | string | name | ) |

It wants to set the value of the Enum type.

Parameters

  name | Name.

Returns
  Returns true if it is an Enum type.

## ◆ IsParameterType() [1/2]

bool IsParameterType | ( | int | id,
|  | Parameter.Type | type
| ) |  |

Determine the type of parameter.

Parameters

  id | ID.
  type | Parameter type.

Returns
  Returns true if the parameter type matches type.

## ◆ IsParameterType() [2/2]

bool IsParameterType | ( | string | name,
|  | Parameter.Type | type
| ) |  |

Determine the type of parameter.

Parameters

  name | Name.
  type | Parameter type.

Returns
  Returns true if the parameter type matches type.

## ◆ MakeUniqueName()

string MakeUniqueName | ( | string | name | ) |

It generates a name that does not overlap.

Parameters

  name | The original name.

Returns
  Result.

## ◆ Refresh()

void Refresh | ( |  | ) |

Editor only

## ◆ SetAssetObject() [1/2]

bool SetAssetObject | ( | int | id,
|  | Object | value
| ) |  |

It wants to set the value of the AssetObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetAssetObject() [2/2]

bool SetAssetObject | ( | string | name,
|  | Object | value
| ) |  |

It wants to set the value of the AssetObject type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetAssetObject< TAssetObject >() [1/2]

bool SetAssetObject< TAssetObject > | ( | int | id,
|  | TAssetObject | value
| ) |  |

It wants to set the value of the AssetObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetAssetObject< TAssetObject >() [2/2]

bool SetAssetObject< TAssetObject > | ( | string | name,
|  | TAssetObject | value
| ) |  |

It wants to set the value of the AssetObject type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetAssetObjectList< TAssetObject >() [1/2]

bool SetAssetObjectList< TAssetObject > | ( | int | id,
|  | IList< TAssetObject > | value
| ) |  |

It wants to set the value of the AssetObjectList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetAssetObjectList< TAssetObject >() [2/2]

bool SetAssetObjectList< TAssetObject > | ( | string | name,
|  | IList< TAssetObject > | value
| ) |  |

It wants to set the value of the AssetObjectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetBool() [1/2]

bool SetBool | ( | int | id,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBool() [2/2]

bool SetBool | ( | string | name,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBoolList() [1/2]

bool SetBoolList | ( | int | id,
|  | IList< bool > | value
| ) |  |

It wants to set the value of the BoolList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBoolList() [2/2]

bool SetBoolList | ( | string | name,
|  | IList< bool > | value
| ) |  |

It wants to set the value of the BoolList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBounds() [1/2]

bool SetBounds | ( | int | id,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBounds() [2/2]

bool SetBounds | ( | string | name,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBoundsList() [1/2]

bool SetBoundsList | ( | int | id,
|  | IList< Bounds > | value
| ) |  |

It wants to set the value of the BoundsList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBoundsList() [2/2]

bool SetBoundsList | ( | string | name,
|  | IList< Bounds > | value
| ) |  |

It wants to set the value of the BoundsList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColor() [1/2]

bool SetColor | ( | int | id,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColor() [2/2]

bool SetColor | ( | string | name,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColorList() [1/2]

bool SetColorList | ( | int | id,
|  | IList< Color > | value
| ) |  |

It wants to set the value of the ColorList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColorList() [2/2]

bool SetColorList | ( | string | name,
|  | IList< Color > | value
| ) |  |

It wants to set the value of the ColorList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent() [1/2]

bool SetComponent | ( | int | id,
|  | Component | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent() [2/2]

bool SetComponent | ( | string | name,
|  | Component | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent< TComponent >() [1/2]

bool SetComponent< TComponent > | ( | int | id,
|  | TComponent | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetComponent< TComponent >() [2/2]

bool SetComponent< TComponent > | ( | string | name,
|  | TComponent | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetComponentList< TComponent >() [1/2]

bool SetComponentList< TComponent > | ( | int | id,
|  | IList< TComponent > | value
| ) |  |

It wants to set the value of the ComponentList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetComponentList< TComponent >() [2/2]

bool SetComponentList< TComponent > | ( | string | name,
|  | IList< TComponent > | value
| ) |  |

It wants to set the value of the ComponentList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum() [1/2]

bool SetEnum | ( | int | id,
|  | System.Enum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnum() [2/2]

bool SetEnum | ( | string | name,
|  | System.Enum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnum< TEnum >() [1/2]

bool SetEnum< TEnum > | ( | int | id,
|  | TEnum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnum< TEnum >() [2/2]

bool SetEnum< TEnum > | ( | string | name,
|  | TEnum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumInt() [1/2]

bool SetEnumInt | ( | int | id,
|  | int | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnumInt() [2/2]

bool SetEnumInt | ( | string | name,
|  | int | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnumList< TEnum >() [1/2]

bool SetEnumList< TEnum > | ( | int | id,
|  | IList< TEnum > | value
| ) |  |

It wants to set the value of the EnumList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumList< TEnum >() [2/2]

bool SetEnumList< TEnum > | ( | string | name,
|  | IList< TEnum > | value
| ) |  |

It wants to set the value of the EnumList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetFloat() [1/2]

bool SetFloat | ( | int | id,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetFloat() [2/2]

bool SetFloat | ( | string | name,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetFloatList() [1/2]

bool SetFloatList | ( | int | id,
|  | IList< float > | value
| ) |  |

It wants to set the value of the FloatList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetFloatList() [2/2]

bool SetFloatList | ( | string | name,
|  | IList< float > | value
| ) |  |

It wants to set the value of the FloatList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObject() [1/2]

bool SetGameObject | ( | int | id,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObject() [2/2]

bool SetGameObject | ( | string | name,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObjectList() [1/2]

bool SetGameObjectList | ( | int | id,
|  | IList< GameObject > | value
| ) |  |

It wants to set the value of the GameObjectList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObjectList() [2/2]

bool SetGameObjectList | ( | string | name,
|  | IList< GameObject > | value
| ) |  |

It wants to set the value of the GameObjectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetInt() [1/2]

bool SetInt | ( | int | id,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetInt() [2/2]

bool SetInt | ( | string | name,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetIntList() [1/2]

bool SetIntList | ( | int | id,
|  | IList< int > | value
| ) |  |

It wants to set the value of the IntList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetIntList() [2/2]

bool SetIntList | ( | string | name,
|  | IList< int > | value
| ) |  |

It wants to set the value of the IntList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLong() [1/2]

bool SetLong | ( | int | id,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLong() [2/2]

bool SetLong | ( | string | name,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLongList() [1/2]

bool SetLongList | ( | int | id,
|  | IList< long > | value
| ) |  |

It wants to set the value of the LongList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLongList() [2/2]

bool SetLongList | ( | string | name,
|  | IList< long > | value
| ) |  |

It wants to set the value of the LongList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternion() [1/2]

bool SetQuaternion | ( | int | id,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternion() [2/2]

bool SetQuaternion | ( | string | name,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternionList() [1/2]

bool SetQuaternionList | ( | int | id,
|  | IList< Quaternion > | value
| ) |  |

It wants to set the value of the QuaternionList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternionList() [2/2]

bool SetQuaternionList | ( | string | name,
|  | IList< Quaternion > | value
| ) |  |

It wants to set the value of the QuaternionList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRect() [1/2]

bool SetRect | ( | int | id,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRect() [2/2]

bool SetRect | ( | string | name,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectList() [1/2]

bool SetRectList | ( | int | id,
|  | IList< Rect > | value
| ) |  |

It wants to set the value of the RectList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectList() [2/2]

bool SetRectList | ( | string | name,
|  | IList< Rect > | value
| ) |  |

It wants to set the value of the RectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectTransform() [1/2]

bool SetRectTransform | ( | int | id,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectTransform() [2/2]

bool SetRectTransform | ( | string | name,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody() [1/2]

bool SetRigidbody | ( | int | id,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody() [2/2]

bool SetRigidbody | ( | string | name,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody2D() [1/2]

bool SetRigidbody2D | ( | int | id,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody2D() [2/2]

bool SetRigidbody2D | ( | string | name,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetString() [1/2]

bool SetString | ( | int | id,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetString() [2/2]

bool SetString | ( | string | name,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetStringList() [1/2]

bool SetStringList | ( | int | id,
|  | IList< string > | value
| ) |  |

It wants to set the value of the StringList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetStringList() [2/2]

bool SetStringList | ( | string | name,
|  | IList< string > | value
| ) |  |

It wants to set the value of the StringList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetTransform() [1/2]

bool SetTransform | ( | int | id,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetTransform() [2/2]

bool SetTransform | ( | string | name,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable() [1/2]

bool SetVariable | ( | int | id,
|  | object | value
| ) |  |

It wants to set the value of Variable.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable() [2/2]

bool SetVariable | ( | string | name,
|  | object | value
| ) |  |

It wants to set the value of Variable.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable< TVariable >() [1/2]

bool SetVariable< TVariable > | ( | int | id,
|  | TVariable | value
| ) |  |

It wants to set the value of Variable.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable< TVariable >() [2/2]

bool SetVariable< TVariable > | ( | string | name,
|  | TVariable | value
| ) |  |

It wants to set the value of Variable.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariableList() [1/2]

bool SetVariableList | ( | int | id,
|  | object | value
| ) |  |

It wants to set the value of VariableList.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariableList() [2/2]

bool SetVariableList | ( | string | name,
|  | object | value
| ) |  |

It wants to set the value of VariableList.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariableList< TVariable >() [1/2]

bool SetVariableList< TVariable > | ( | int | id,
|  | IList< TVariable > | value
| ) |  |

It wants to set the value of VariableList.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariableList< TVariable >() [2/2]

bool SetVariableList< TVariable > | ( | string | name,
|  | IList< TVariable > | value
| ) |  |

It wants to set the value of Variable.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2() [1/2]

bool SetVector2 | ( | int | id,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2() [2/2]

bool SetVector2 | ( | string | name,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2List() [1/2]

bool SetVector2List | ( | int | id,
|  | IList< Vector2 > | value
| ) |  |

It wants to set the value of the Vector2List type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2List() [2/2]

bool SetVector2List | ( | string | name,
|  | IList< Vector2 > | value
| ) |  |

It wants to set the value of the Vector2List type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3() [1/2]

bool SetVector3 | ( | int | id,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3() [2/2]

bool SetVector3 | ( | string | name,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3List() [1/2]

bool SetVector3List | ( | int | id,
|  | IList< Vector3 > | value
| ) |  |

It wants to set the value of the Vector3List type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3List() [2/2]

bool SetVector3List | ( | string | name,
|  | IList< Vector3 > | value
| ) |  |

It wants to set the value of the Vector3List type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetAssetObject() [1/2]

bool TryGetAssetObject | ( | int | id,
|  | out Object | value
| ) |  |

Get the value of the AssetObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetAssetObject() [2/2]

bool TryGetAssetObject | ( | string | name,
|  | out Object | value
| ) |  |

Get the value of the AssetObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetAssetObject< TAssetObject >() [1/2]

bool TryGetAssetObject< TAssetObject > | ( | int | id,
|  | out TAssetObject | value
| ) |  |

Get the value of the AssetObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ TryGetAssetObject< TAssetObject >() [2/2]

bool TryGetAssetObject< TAssetObject > | ( | string | name,
|  | out TAssetObject | value
| ) |  |

Get the value of the AssetObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ TryGetAssetObjectList< TAssetObject >() [1/2]

bool TryGetAssetObjectList< TAssetObject > | ( | int | id,
|  | out IList< TAssetObject > | value
| ) |  |

Get the value of the AssetObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ TryGetAssetObjectList< TAssetObject >() [2/2]

bool TryGetAssetObjectList< TAssetObject > | ( | string | name,
|  | out IList< TAssetObject > | value
| ) |  |

Get the value of the AssetObjectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TAssetObject | : | Object |

## ◆ TryGetBool() [1/2]

bool TryGetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBool() [2/2]

bool TryGetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBoolList() [1/2]

bool TryGetBoolList | ( | int | id,
|  | out IList< bool > | value
| ) |  |

Get the value of the BoolList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBoolList() [2/2]

bool TryGetBoolList | ( | string | name,
|  | out IList< bool > | value
| ) |  |

Get the value of the BoolList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBounds() [1/2]

bool TryGetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBounds() [2/2]

bool TryGetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBoundsList() [1/2]

bool TryGetBoundsList | ( | int | id,
|  | out IList< Bounds > | value
| ) |  |

Get the value of the BoundsList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBoundsList() [2/2]

bool TryGetBoundsList | ( | string | name,
|  | out IList< Bounds > | value
| ) |  |

Get the value of the BoundsList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColor() [1/2]

bool TryGetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColor() [2/2]

bool TryGetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColorList() [1/2]

bool TryGetColorList | ( | int | id,
|  | out IList< Color > | value
| ) |  |

Get the value of the ColorList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColorList() [2/2]

bool TryGetColorList | ( | string | name,
|  | out IList< Color > | value
| ) |  |

Get the value of the ColorList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent() [1/2]

bool TryGetComponent | ( | int | id,
|  | out Component | value
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent() [2/2]

bool TryGetComponent | ( | string | name,
|  | out Component | value
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent< TComponent >() [1/2]

bool TryGetComponent< TComponent > | ( | int | id,
|  | out TComponent | value
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetComponent< TComponent >() [2/2]

bool TryGetComponent< TComponent > | ( | string | name,
|  | out TComponent | value
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetComponentList< TComponent >() [1/2]

bool TryGetComponentList< TComponent > | ( | int | id,
|  | out IList< TComponent > | value
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetComponentList< TComponent >() [2/2]

bool TryGetComponentList< TComponent > | ( | string | name,
|  | out IList< TComponent > | value
| ) |  |

Get the value of the ComponentList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetEnum() [1/2]

bool TryGetEnum | ( | int | id,
|  | out System.Enum | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnum() [2/2]

bool TryGetEnum | ( | string | name,
|  | out System.Enum | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnum< TEnum >() [1/2]

bool TryGetEnum< TEnum > | ( | int | id,
|  | out TEnum | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnum< TEnum >() [2/2]

bool TryGetEnum< TEnum > | ( | string | name,
|  | out TEnum | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumInt() [1/2]

bool TryGetEnumInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnumInt() [2/2]

bool TryGetEnumInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnumList< TEnum >() [1/2]

bool TryGetEnumList< TEnum > | ( | int | id,
|  | out IList< TEnum > | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumList< TEnum >() [2/2]

bool TryGetEnumList< TEnum > | ( | string | name,
|  | out IList< TEnum > | value
| ) |  |

Get the value of the EnumList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetFloat() [1/2]

bool TryGetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetFloat() [2/2]

bool TryGetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetFloatList() [1/2]

bool TryGetFloatList | ( | int | id,
|  | out IList< float > | value
| ) |  |

Get the value of the FloatList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetFloatList() [2/2]

bool TryGetFloatList | ( | string | name,
|  | out IList< float > | value
| ) |  |

Get the value of the FloatList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObject() [1/2]

bool TryGetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObject() [2/2]

bool TryGetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObjectList() [1/2]

bool TryGetGameObjectList | ( | int | id,
|  | out IList< GameObject > | value
| ) |  |

Get the value of the GameObjectList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObjectList() [2/2]

bool TryGetGameObjectList | ( | string | name,
|  | out IList< GameObject > | value
| ) |  |

Get the value of the GameObjectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetInt() [1/2]

bool TryGetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetInt() [2/2]

bool TryGetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetIntList() [1/2]

bool TryGetIntList | ( | int | id,
|  | out IList< int > | value
| ) |  |

Get the value of the IntList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetIntList() [2/2]

bool TryGetIntList | ( | string | name,
|  | out IList< int > | value
| ) |  |

Get the value of the IntList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLong() [1/2]

bool TryGetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLong() [2/2]

bool TryGetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLongList() [1/2]

bool TryGetLongList | ( | int | id,
|  | out IList< long > | value
| ) |  |

Get the value of the LongList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLongList() [2/2]

bool TryGetLongList | ( | string | name,
|  | out IList< long > | value
| ) |  |

Get the value of the LongList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternion() [1/2]

bool TryGetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternion() [2/2]

bool TryGetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternionList() [1/2]

bool TryGetQuaternionList | ( | int | id,
|  | out IList< Quaternion > | value
| ) |  |

Get the value of the QuaternionList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternionList() [2/2]

bool TryGetQuaternionList | ( | string | name,
|  | out IList< Quaternion > | value
| ) |  |

Get the value of the QuaternionList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRect() [1/2]

bool TryGetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRect() [2/2]

bool TryGetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectList() [1/2]

bool TryGetRectList | ( | int | id,
|  | out IList< Rect > | value
| ) |  |

Get the value of the RectList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectList() [2/2]

bool TryGetRectList | ( | string | name,
|  | out IList< Rect > | value
| ) |  |

Get the value of the RectList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectTransform() [1/2]

bool TryGetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectTransform() [2/2]

bool TryGetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody() [1/2]

bool TryGetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody() [2/2]

bool TryGetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody2D() [1/2]

bool TryGetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody2D() [2/2]

bool TryGetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetString() [1/2]

bool TryGetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetString() [2/2]

bool TryGetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetStringList() [1/2]

bool TryGetStringList | ( | int | id,
|  | out IList< string > | value
| ) |  |

Get the value of the StringList type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetStringList() [2/2]

bool TryGetStringList | ( | string | name,
|  | out IList< string > | value
| ) |  |

Get the value of the StringList type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetTransform() [1/2]

bool TryGetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetTransform() [2/2]

bool TryGetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable() [1/2]

bool TryGetVariable | ( | int | id,
|  | out object | value
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable() [2/2]

bool TryGetVariable | ( | string | name,
|  | out object | value
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable< TVariable >() [1/2]

bool TryGetVariable< TVariable > | ( | int | id,
|  | out TVariable | value
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable< TVariable >() [2/2]

bool TryGetVariable< TVariable > | ( | string | name,
|  | out TVariable | value
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariableList() [1/2]

bool TryGetVariableList | ( | int | id,
|  | out object | value
| ) |  |

Get the value of VariableList.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariableList() [2/2]

bool TryGetVariableList | ( | string | name,
|  | out object | value
| ) |  |

Get the value of VariableList.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariableList< TVariable >() [1/2]

bool TryGetVariableList< TVariable > | ( | int | id,
|  | out IList< TVariable > | value
| ) |  |

Get the value of VariableList.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariableList< TVariable >() [2/2]

bool TryGetVariableList< TVariable > | ( | string | name,
|  | out IList< TVariable > | value
| ) |  |

Get the value of VariableList.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2() [1/2]

bool TryGetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2() [2/2]

bool TryGetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2List() [1/2]

bool TryGetVector2List | ( | int | id,
|  | out IList< Vector2 > | value
| ) |  |

Get the value of the Vector2List type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2List() [2/2]

bool TryGetVector2List | ( | string | name,
|  | out IList< Vector2 > | value
| ) |  |

Get the value of the Vector2List type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3() [1/2]

bool TryGetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3() [2/2]

bool TryGetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3List() [1/2]

bool TryGetVector3List | ( | int | id,
|  | out IList< Vector3 > | value
| ) |  |

Get the value of the Vector3List type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3List() [2/2]

bool TryGetVector3List | ( | string | name,
|  | out IList< Vector3 > | value
| ) |  |

Get the value of the Vector3List type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## Property Documentation

## ◆ isDeserialized

bool isDeserialized
| get

Returns whether or not deserialization has been done.

## ◆ owner

Object owner
| get set

Object own this ParameterContainer

## ◆ parameterCount

int parameterCount
| get

Get a count of Parameter.

## ◆ parameters

Parameter [] parameters
| get

Get an array of parameters.

## Event Documentation

## ◆ onAfterDeserialize

System.Action onAfterDeserialize

Callback after deserialization